Bug 48163 - Calling FileReader.abort during reading could cause crash
Summary: Calling FileReader.abort during reading could cause crash
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Jian Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-22 16:48 PDT by Jian Li
Modified: 2010-10-25 13:13 PDT (History)
5 users (show)

See Also:


Attachments
Proposed Patch (6.25 KB, patch)
2010-10-22 16:53 PDT, Jian Li
jianli: commit-queue-
Details | Formatted Diff | Diff
Proposed Patch (5.75 KB, patch)
2010-10-22 16:54 PDT, Jian Li
levin: review+
jianli: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jian Li 2010-10-22 16:48:06 PDT
Calling FileReader.abort during reading could cause crash
Comment 1 Jian Li 2010-10-22 16:53:10 PDT
Created attachment 71610 [details]
Proposed Patch
Comment 2 Jian Li 2010-10-22 16:54:48 PDT
Created attachment 71611 [details]
Proposed Patch

Removed unneeded file.
Comment 3 David Levin 2010-10-23 11:09:42 PDT
Comment on attachment 71611 [details]
Proposed Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=71611&action=review

> WebCore/fileapi/FileReader.cpp:266
> +    if (m_state != Aborting)

Seems like "fail fast" would be better.

if (m_state == Aborting)
    return;
Comment 4 Jian Li 2010-10-25 13:13:01 PDT
Committed as http://trac.webkit.org/changeset/70484.